
Foreman - Feature #18205

Provide useful macros for templates and save_to_file helper

01/23/2017 03:00 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Templates   

Target version: 1.15.0   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4216

  

Description

Looking at community templates we often repeat code around @host.operatingsystem, it's family, version, name. Another macro that

would be handy is for storing the content into a file using cat << EOF > target. Ideally Foreman core should provide helpers that

provides shortcuts for these, raise meaningful errors, DRY up the code between multiple templates, are testable and improve the

template readability.

Related issues:

Related to Foreman - Feature #24027: Provide some macros for OS name/family a... New 06/21/2018

Associated revisions

Revision 477f976e - 01/25/2017 04:22 AM - Marek Hulán

Fixes #18205 - Add save_to_file macro

History

#1 - 01/23/2017 03:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4216 added

#2 - 01/24/2017 02:12 PM - Marek Hulán

Only non-host related macros are being accepted before we have proxy objects. Therefore only save_to_file will be addressed with the PR. When we

have proxy objects, I'll convert those macros to host proxy methods.

#3 - 01/25/2017 05:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 477f976e4e63a439f7e4a43730a3585a95396a42.

#4 - 01/25/2017 07:51 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Subject changed from Provide useful macros for templates to Add save_to_file template helper

- translation missing: en.field_release set to 209

#5 - 06/26/2018 08:14 AM - Lukas Zapletal

- Subject changed from Add save_to_file template helper to Provide useful macros for templates and save_to_file helper

- Triaged set to No

Not sure what happened.

#6 - 06/26/2018 08:14 AM - Lukas Zapletal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/477f976e4e63a439f7e4a43730a3585a95396a42


- Related to Feature #24027: Provide some macros for OS name/family and version comparsion added
